| Disk ARchive 2.6.12 Full featured and portable backup and archiving tool

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::archive_options_extract Class Reference
API

class holding optional parameters used to extract files from an existing archive More...

`#include <archive_options.hpp>`

## Public Types
enum | t_dirty { dirty_ignore, dirty_warn, dirty_ok }

## Public Member Functions
| archive_options_extract (const archive_options_extract &ref)
| archive_options_extract (archive_options_extract &&ref) noexcept
archive_options_extract & | operator= (const archive_options_extract &ref)
archive_options_extract & | operator= (archive_options_extract &&ref) noexcept
void | clear ()
void | set_selection (const mask &selection)
| defines the filenames to only save (except directory) as those that match the given mask
void | set_subtree (const mask &subtree)
| defines the directory and files to consider (this mask will be applied to the absolute path of files being proceeded)
void | set_warn_over (bool warn_over)
| defines whether a warning shall be issued before overwriting
void | set_info_details (bool info_details)
void | set_display_treated (bool display_treated, bool only_dir)
void | set_display_skipped (bool display_skipped)
| whether to display files that have been excluded by filters
void | set_ea_mask (const mask &ea_mask)
| defines which Extended Attributes to save
void | set_flat (bool flat)
| whether to ignore directory structure and restore all files in the same directory
void | set_what_to_check (comparison_fields what_to_check)
| fields to consider when comparing inodes with those on filesystem to determine if it is more recent (see comparison_fields enumeration), also defines whether mtime has to be restored (cf_mtime) whether permission have to be too (cf_ignore_owner) whether ownership has to be restored too (cf_all)
void | set_warn_remove_no_match (bool warn_remove_no_match)
| whether a warning must be issue if a file to remove does not match the expected type of file
void | set_empty (bool empty)
| defines whether we need to store ignored directories as empty
void | set_empty_dir (bool empty_dir)
| whether to restore directories where no file has been triggered for backup (no file/inode change, excluded files,...)
void | set_dirty_behavior (bool ignore, bool warn)
| whether to restore dirty files (those that changed during backup), warn before restoring or ignoring them More...
void | set_dirty_behavior (t_dirty val)
| alternative method to modify dirty behavior
void | set_overwriting_rules (const crit_action &over)
| overwriting policy
void | set_only_deleted (bool val)
| only consider deleted files (if set, no data get restored) More...
void | set_ignore_deleted (bool val)
| do not consider deleted files (if set, no inode will be removed) More...
void | set_fsa_scope (const fsa_scope &scope)
| defines the FSA (Filesystem Specific Attribute) to only consider (by default all FSA activated at compilation time are considered)
const mask & | get_selection () const
const mask & | get_subtree () const
bool | get_warn_over () const
bool | get_info_details () const
bool | get_display_treated () const
bool | get_display_treated_only_dir () const
bool | get_display_skipped () const
const mask & | get_ea_mask () const
bool | get_flat () const
comparison_fields | get_what_to_check () const
bool | get_warn_remove_no_match () const
bool | get_empty () const
bool | get_empty_dir () const
t_dirty | get_dirty_behavior () const
const crit_action & | get_overwriting_rules () const
bool | get_only_deleted () const
bool | get_ignore_deleted () const
const fsa_scope & | get_fsa_scope () const

## Private Member Functions
void | destroy () noexcept
void | nullifyptr () noexcept
void | copy_from (const archive_options_extract &ref)
void | move_from (archive_options_extract &&ref) noexcept

## Private Attributes
mask * | x_selection
mask * | x_subtree
bool | x_warn_over
bool | x_info_details
bool | x_display_treated
bool | x_display_treated_only_dir
bool | x_display_skipped
mask * | x_ea_mask
bool | x_flat
comparison_fields | x_what_to_check
bool | x_warn_remove_no_match
bool | x_empty
bool | x_empty_dir
t_dirty | x_dirty
crit_action * | x_overwrite
bool | x_only_deleted
bool | x_ignore_deleted
fsa_scope | x_scope

## Detailed Description

class holding optional parameters used to extract files from an existing archive

Definition at line 1193 of file archive_options.hpp.

## Member Function Documentation

## ◆ set_dirty_behavior()

void libdar::archive_options_extract::set_dirty_behavior | ( | bool | ignore,
|  | bool | warn
| ) |  |
| inline

whether to restore dirty files (those that changed during backup), warn before restoring or ignoring them

Parameters

  [in] | ignore | if set to true, dirty files are not restored at all
  [in] | warn | useless if ignored is false. If warn is true, a warning is issued before restoring each dirty file (default behavior)

Definition at line 1257 of file archive_options.hpp.

## ◆ set_display_treated()

void libdar::archive_options_extract::set_display_treated | ( | bool | display_treated,
|  | bool | only_dir
| ) |  |
| inline

defines whether to show treated files

Parameters

  [in] | display_treated | true to display processed inodes
  [in] | only_dir | only display the current directory under processing, not its individual files

Definition at line 1230 of file archive_options.hpp.

## ◆ set_ignore_deleted()

void libdar::archive_options_extract::set_ignore_deleted | ( | bool | val | ) |
| inline

do not consider deleted files (if set, no inode will be removed)

Note
  setting both set_only_deleted() and set_ignore_deleted() will not restore anything, almost equivalent to a dry-run execution

Definition at line 1274 of file archive_options.hpp.

## ◆ set_info_details()

void libdar::archive_options_extract::set_info_details | ( | bool | info_details | ) |
| inline

defines whether the user needs detailed output of the operation

Note
  in API 5.5.x and before this switch drove the displaying of processing messages and treated files. now it only drives the display of processing messages, use set_display_treated to define whether files under treatement should be display or not

Definition at line 1225 of file archive_options.hpp.

## ◆ set_only_deleted()

void libdar::archive_options_extract::set_only_deleted | ( | bool | val | ) |
| inline

only consider deleted files (if set, no data get restored)

Note
  setting both set_only_deleted() and set_ignore_deleted() will not restore anything, almost equivalent to a dry-run execution

Definition at line 1268 of file archive_options.hpp.

The documentation for this class was generated from the following file:

- archive_options.hpp